org.springframework.web.bind.annotation

## Annotation Type MatrixVariable

-     @Target(value=PARAMETER)
      @Retention(value=RUNTIME)
      @Documented
      public @interface MatrixVariable

  Annotation which indicates that a method parameter should be bound to a name-value pair within a path segment. Supported for `RequestMapping` annotated handler methods in Servlet environments.
  Since:
    3.2
  Author:
    Rossen Stoyanchev

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `defaultValue` The default value to use as a fallback.
    `String` | `pathVar` The name of the URI path variable where the matrix variable is located, if necessary for disambiguation (e.g.
    `boolean` | `required` Whether the matrix variable is required.
    `String` | `value` The name of the matrix variable.

- - ### Element Detail

    - #### value

          public abstract String value

      The name of the matrix variable.
      Default:
        ""

    - #### pathVar

          public abstract String pathVar

      The name of the URI path variable where the matrix variable is located, if necessary for disambiguation (e.g. a matrix variable with the same name present in more than one path segment).
      Default:
        "\n\t\t\n\t\t\n\ue000\ue001\ue002\n\t\t\t\t\n"

    - #### required

          public abstract boolean required

      Whether the matrix variable is required.

      Default is `true`, leading to an exception thrown in case of the variable missing in the request. Switch this to `false` if you prefer a `null in case of the variable missing.`

      Alternatively, provide a `defaultValue`, which implicitly sets this flag to `false`.

      Default:
        true

    - #### defaultValue

          public abstract String defaultValue

      The default value to use as a fallback. Supplying a default value implicitly sets `required()` to false.
      Default:
        "\n\t\t\n\t\t\n\ue000\ue001\ue002\n\t\t\t\t\n"